[android-components](../../index.md) / [mozilla.components.feature.sync](../index.md) / [AuthException](./index.md)

# AuthException

`class AuthException : `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sync/src/main/java/mozilla/components/feature/sync/Types.kt#L22)

An exception which may happen while obtaining auth information using [FirefoxAccount](../../mozilla.components.service.fxa/-firefox-account/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AuthException(type: `[`AuthExceptionType`](../-auth-exception-type/index.md)`)`<br>An exception which may happen while obtaining auth information using [FirefoxAccount](../../mozilla.components.service.fxa/-firefox-account/index.md). |
